Change Updates

Do not miss any my.nethesis.it API changes, ever again

Subscribe to the my.nethesis.it API changelog to be up to date on recent changes.

RSS

3 days ago

main
0.3.0
Compare

API structure has changed

Next change
6 structure changes including:
6 Modifications
Modified 6 Breaking
GET /systems/{id}/inventory
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • inventories property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • records property Added
  • Query
  • from_date, to_date query parameters Added
GET /systems/{id}/inventory/changes
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • Type went from object | null to object
          Breaking
        • changes, pagination properties Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • system_id, total_changes, recent_changes, last_inventory_time, has_critical_changes, has_alerts, changes_by_category, changes_by_severity properties Added
  • Query
  • page, page_size query parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /systems/{id}/inventory/changes/latest
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • Type went from object | null to object
          Breaking
        • system_id, total_changes, recent_changes, last_inventory_time, has_critical_changes, has_alerts, changes_by_category, changes_by_severity properties Added
GET /systems/{id}/inventory/diffs
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • diffs property Modified
  • Query
  • severity, category, diff_type, from_date, to_date query parameters Added
GET /systems/{id}/inventory/diffs/latest
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • diffs, count, current_inventory_id properties Added
GET /systems/{id}/inventory/latest
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • Type went from object | null to object
          Breaking
        • id, system_id, timestamp, data, data_hash, data_size, processed_at, has_changes, change_count, created_at, updated_at properties Added